org.eclipse.eef.core.api

## Interface EEFGroup

All Known Implementing Classes:
  EEFGroupImpl

    public interface EEFGroup

The `EEFGroup` is used as the main structure within a page.

### Method Summary

All Methods Instance Methods Abstract Methods
`EEFGroupDescription` `getDescription()` Returns the description of the `EEFGroup`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`EEFPage` `getPage()` Returns the page containing the group.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.

### Method Detail

#### getDescription

    EEFGroupDescription getDescription()

Returns the description of the `EEFGroup`.

Returns:
  The `EEFGroupDescription`

#### getPage

    EEFPage getPage()

Returns the page containing the group.

Returns:
  The page containing the group

#### getVariableManager

    org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Returns:
  The variable manager

#### getInterpreter

    org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Returns:
  The interpreter